.. red commands module documentation

================
Commands Package
================

This package acts almost identically to :doc:`discord.ext.commands <dpy:ext/commands/api>`; i.e.
all of the attributes from discord.py's are also in ours. 
Some of these attributes, however, have been slightly modified, while others have been added to
extend functionlities used throughout the bot, as outlined below.

.. autofunction:: redbot.core.commands.command

.. autofunction:: redbot.core.commands.group

.. autoclass:: redbot.core.commands.Command
    :members:

.. autoclass:: redbot.core.commands.Group
    :members:

.. autoclass:: redbot.core.commands.Context
    :members:

.. automodule:: redbot.core.commands.requires
    :members: PrivilegeLevel, PermState, Requires
